arch-update.conf(5)

NAME

arch-update.conf - Arch-Update configuration file.

SYNOPSIS

$XDG_CONFIG_HOME/arch-update/arch-update.conf, $HOME/.config/arch-update/arch-update.conf

DESCRIPTION

Arch-Update's optional configuration file.

Arch-Update first attempts to read the file at `$XDG_CONFIG_HOME/arch-update/arch-update.conf` then at `$HOME/.config/arch-update/arch-update.conf` if `$XDG_CONFIG_HOME` is not set, or the file doesn't exist.

A default / example configuration file can be generated by running: `arch-update --gen-config`.

The configuration file can be edited by running: `arch-update --edit-config`.

OPTIONS

Options are case sensitive, so capital letters have to be respected.

NoColor
    Do not colorize output.

NoVersion
    Do not show versions changes for packages when listing pending updates (including when using the `-l / --list` option, see the arch-update(1) man page for more details).

NoAUR
    Ignore AUR packages support.

NoFlatpak
    Ignore Flatpak packages support.

NoNotification
    Do not send desktop notifications.

NoALHPCheck
    Disable checking for ALHP build queue or outdated mirrors.

NewsNum=[Num]
    Number of Arch news to display before updating and with the `-n / --news` option (see the arch-update(1) man page for more details). Defaults to 5.

NewsTimeout=[Num]
    Timeout threshold for the Arch news check requests. The value is expressed in seconds and has to be an integer. Setting this option to "0" results in no timeout (no time limit for requests to complete). Defaults to 10.

UpdateCheckTimeout=[Num]
    Timeout threshold for the packages updates check requests (including AUR and Flatpak packages). The value is expressed in seconds and has to be an integer. Setting this option to "0" results in no timeout (no time limit for requests to complete). Defaults to 30.

AURHelper=[AUR Helper]
    AUR helper to be used for AUR packages support. Valid values are `paru`, `yay` or `pikaur`. If this option is not set, Arch-Update will use the first AUR helper available in the following order: `paru` then `yay` then `pikaur` (in case none of them is installed, Arch-Update will not take AUR packages into account).

PrivilegeElevationCommand=[Cmd]
    Command to be used for privilege elevation. Valid values are `sudo`, `sudo-rs`, `doas` or `run0`. If this option is not set, Arch-Update will use the first command available in the following order: `sudo`, `sudo-rs`, `doas` then `run0`.

KeepOldPackages=[Num]
    Number of old packages versions to keep in pacman's cache. Defaults to 3.

KeepUninstalledPackages=[Num]
    Number of uninstalled packages versions to keep in pacman's cache. Defaults to 0.

DiffProg=[Editor]
    Editor to use to visualize / edit differences during the pacnew files processing. Defaults to the `$DIFFPROG` environment variable's value (or `vimdiff` if `$DIFFPROG` isn't set).

TrayIconStyle=[Style / Color]
    Style to be used for the systray applet icon. Valid values are the available style / color variants for the icon set, listed in https://github.com/Antiz96/arch-update/blob/main/res/icons/README.md. Defaults to "blue".

ColorblindMode
    Change systray applet icon update variants to a colorblind-friendly yellow.

SEE ALSO

arch-update(1)

BUGS

Please report bugs to the GitHub page: https://github.com/Antiz96/arch-update/issues

AUTHOR

Robin Candau <robincandau@protonmail.com>